Name:          simple
Version:       6.0.1
Release:       %mkrel 2
Summary:       Asynchronous HTTP server for Java
Group:         Development/Java
License:       ASL 2.0 and LGPLv2+
URL:           http://www.simpleframework.org/
Source0:       http://sourceforge.net/projects/simpleweb/files/simpleweb/%{version}/%{name}-%{version}.tar.gz
# https://github.com/ngallagher/simpleframework/issues/7
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Simple is a high performance asynchronous HTTP server for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# cleanup
find . -name "*.class" -delete
find . -name "*.jar" -delete

for p in common http transport; do
%pom_remove_plugin :maven-source-plugin %{name}-${p}
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" %{name}-${p}
%pom_xpath_remove "pom:build/pom:extensions" %{name}-${p}

%pom_xpath_set "pom:packaging" bundle %{name}-${p}
%pom_add_plugin org.apache.felix:maven-bundle-plugin %{name}-${p} '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

done

# testAccuracy(org.simpleframework.common.lease.ContractQueueTest)  Time elapsed: 2 sec  <<< FAILURE!
# junit.framework.AssertionFailedError: Value -2000 is not less than or equal to -2001
rm -r simple-common/src/test/java/org/simpleframework/common/lease/ContractQueueTest.java

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build
# disable test suite
# Created Tue, 21 Jun 2016 00:15:55 UTC
# Started Tue, 21 Jun 2016 00:15:59 UTC
# Canceled Tue, 21 Jun 2016 13:14:20 UTC
# blocked on Running org.simpleframework.http.core.ReactorProcessorTest
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt


%changelog
* Fri Jul 22 2016 daviddavid <daviddavid> 6.0.1-2.mga6
+ Revision: 1043089
- add missing build requires
- disable test suite

* Fri Apr 29 2016 daviddavid <daviddavid> 6.0.1-1.mga6
+ Revision: 1007699
- update to 6.0.1

* Tue Feb 09 2016 umeabot <umeabot> 4.1.21-10.mga6
+ Revision: 951993
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 4.1.21-9.mga5
+ Revision: 810110
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 4.1.21-8.mga5
+ Revision: 739263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.21-7.mga5
+ Revision: 689159
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.1.21-6.mga4
+ Revision: 529889
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 dmorgan <dmorgan> 4.1.21-5.mga4
+ Revision: 454003
- set haltonfailure, some tests @ random fails

* Wed Jan 16 2013 dmorgan <dmorgan> 4.1.21-4.mga3
+ Revision: 388674
- Disable tests

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 4.1.21-3.mga3
+ Revision: 293230
- imported package simple


* Thu Aug 09 2012 gil cattaneo <puntogil@libero.it> 4.1.21-3
- Installed proper license file

* Wed Aug 08 2012 gil cattaneo <puntogil@libero.it> 4.1.21-2
- Removed maven part
- Installed license file

* Tue Jul 24 2012 gil cattaneo <puntogil@libero.it> 4.1.21-1
- initial rpm
